rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
arHeader_s Struct Reference
PAYLOAD.

ar(1) archive header. More...

`#include <rpmio/ar.h>`

## Data Fields

char | name [16]
char | mtime [12]
char | uid [6]
char | gid [6]
char | mode [8]
char | filesize [10]
char | marker [2]

## Detailed Description

ar(1) archive header.

Definition at line 20 of file ar.h.

## Field Documentation

char arHeader_s::filesize[10]

Definition at line 26 of file ar.h.

Referenced by arHeaderWrite().

char arHeader_s::gid[6]

Definition at line 24 of file ar.h.

Referenced by arHeaderWrite().

char arHeader_s::marker[2]

Definition at line 27 of file ar.h.

Referenced by arHeaderWrite().

char arHeader_s::mode[8]

Definition at line 25 of file ar.h.

Referenced by arHeaderWrite().

char arHeader_s::mtime[12]

Definition at line 22 of file ar.h.

Referenced by arHeaderWrite().

char arHeader_s::name[16]

Definition at line 21 of file ar.h.

Referenced by arHeaderWrite().

char arHeader_s::uid[6]

Definition at line 23 of file ar.h.

Referenced by arHeaderWrite().

The documentation for this struct was generated from the following file:

- rpmio/ar.h